#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-LepX7HlgwTdJw2EjRjY3c9-dns-internal
key:                  dns-4.1.1-LepX7HlgwTdJw2EjRjY3c9-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  4e64a23d6d739cda4a2dcd5c85e80815
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-LepX7HlgwTdJw2EjRjY3c9-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-Bvi1zpNsskKJCX9LRr76t3
    attoparsec-0.14.4-HXvPhgAZIYuDm9YtcrLhPL
    auto-update-0.1.6-16jEaaV6A1kFvghEJqa7ou base-4.17.2.1
    base16-bytestring-1.0.2.0-C9exZvUOGWa30bfvxY0rP6
    base64-bytestring-1.2.1.0-4WGXcVCcj2fHlYYfmt97g1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-3jbMOlKTiDn4NCqaBZ47Ne
    containers-0.6.7 cryptonite-0.30-82MvlXQwHgnJBRUwbtYUqj
    hourglass-0.2.12-1ibG2ZATe81ge3i2DnJRN
    iproute-1.7.15-8mS7zTqPt9pBGIqVmhN6wK mtl-2.2.2
    network-3.1.4.0-24l6wfZeDaoIo68scGYLPE
    psqueues-0.2.8.1-DTqsCX8QhzS6tMZ39p8t6V

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-F6KH3Ws6dNsLeweFO6CFpi
key:                  dns-4.1.1-F6KH3Ws6dNsLeweFO6CFpi
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  05e87b0e18e6dbbe229b3597ca49e919
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-F6KH3Ws6dNsLeweFO6CFpi
depends:
    array-0.5.4.0 async-2.2.5-Bvi1zpNsskKJCX9LRr76t3
    attoparsec-0.14.4-HXvPhgAZIYuDm9YtcrLhPL
    auto-update-0.1.6-16jEaaV6A1kFvghEJqa7ou base-4.17.2.1
    base16-bytestring-1.0.2.0-C9exZvUOGWa30bfvxY0rP6
    base64-bytestring-1.2.1.0-4WGXcVCcj2fHlYYfmt97g1
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-82MvlXQwHgnJBRUwbtYUqj
    dns-4.1.1-LepX7HlgwTdJw2EjRjY3c9-dns-internal
    hourglass-0.2.12-1ibG2ZATe81ge3i2DnJRN
    iproute-1.7.15-8mS7zTqPt9pBGIqVmhN6wK mtl-2.2.2
    network-3.1.4.0-24l6wfZeDaoIo68scGYLPE
    psqueues-0.2.8.1-DTqsCX8QhzS6tMZ39p8t6V

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

